> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Strategy Brief

> Update the strategy brief (description, audience, keywords).



## OpenAPI

````yaml /openapi.json patch /api/v1/teams/{team_id}/strategy/brief
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/strategy/brief:
    patch:
      tags:
        - Teams
      summary: Update Strategy Brief
      description: Update the strategy brief (description, audience, keywords).
      operationId: update_strategy_brief_api_v1_teams__team_id__strategy_brief_patch
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StrategyBriefUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    StrategyBriefUpdateRequest:
      properties:
        brief:
          type: string
          maxLength: 5000
          minLength: 10
          title: Brief
        audience:
          anyOf:
            - type: string
            - type: 'null'
          title: Audience
        keywords:
          anyOf:
            - type: string
            - type: 'null'
          title: Keywords
      type: object
      required:
        - brief
      title: StrategyBriefUpdateRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````